Description

Supportanfrage

Ich möchte ein .dat File mit mehrere Streams (Flexray, XCP) in eine einzelne .mf4 Datei exportieren.

Ich kriege aber nur einzelne Dateien (Flexray.mf4, XCP.mf4)

Gibt es die Möglichkeit nur eine .mf4 Datei zu kriegen, die die beide Streams enthält?

Vielen Dank und viele Grüße

Lösung

Mittels append_mdf Property und output_filename lassen sich Datenströme an bestehende Files anhängen.

Sollte es Probleme geben, bitte in zwei Schritten erledigen, siehe Kommentare.

History

#1 - 2019-09-13 12:46 - hidden

- Status changed from New to Customer Feedback Required

- Private changed from Yes to No

- Topic set to DeviceTB::MDF

- Affected Products ADTF Device Toolbox 2.7.1 added

Hi Sylvie,

ja, einfach dazu die append mdf property setzen bei export und das gleiche File referenzieren

#2 - 2019-09-13 13:26 - hidden

- File DatExp.PNG added

- File DatExp1.PNG added

- File DatExp2.PNG added

Hallo Florian,

das habe ich auch gemacht, aber es klappt leider nicht. (Siehe Anhang)

#3 - 2019-09-13 14:31 - hidden

Hi Silvie,

beim ersten darfst du natürlich nicht append mdf setzen, das file existiert nunmal erst danach, deshalb kann es beim ersten export (xcp) nicht

geöffnet werden.

also bei xcp false, und bei flexray true.

Das mit dem output name passt.

#4 - 2019-09-13 15:40 - hidden

- File DatExpMdf.PNG added
- File DatExpMdf1.PNG added

- File DatExpMdf2.PNG added

Hallo Florian,

ich habe immer noch den gleichen Fehler

#5 - 2019-09-13 17:40 - hidden

- Status changed from Customer Feedback Required to In Progress

@Silvie: Hm... das muss aber so gehen. Wie sieht es aus wenn du es nacheinander machst, also in zwei Schritten: 1) nur XCP und 2) nur Flexray

(mit append)

@Martin: Hast du noch eine Idee ?

#6 - 2019-09-16 16:01 - hidden

Hallo Florian,

es hat geklappt als ich in 2 Schritten gemacht habe:  1) nur XCP und 2) nur Flexray (mit append)

Vielen Dank für die Unterstützung!

#7 - 2019-09-17 08:41 - hidden

- Subject changed from .dat Files in mf4 konvertieren to Export XCP and Flexray data in one mdf/mf4 file

- Description updated

- Status changed from In Progress to To Be Closed

- Resolution set to Solved Issue

- Customer set to PORSCHE

#8 - 2020-07-07 12:45 - hidden

- Status changed from To Be Closed to Closed

Files

DatExp.PNG 175 KB 2019-09-13 hidden

DatExp1.PNG 146 KB 2019-09-13 hidden

DatExp2.PNG 357 KB 2019-09-13 hidden

DatExpMdf.PNG 114 KB 2019-09-13 hidden

DatExpMdf1.PNG 103 KB 2019-09-13 hidden

DatExpMdf2.PNG 287 KB 2019-09-13 hidden
